Page MenuHomePhabricator

"?uselang=qqx" throws exceptions with VisualEditor
Closed, DeclinedPublic

Description

When you open a page with ?uselang=qqx and edit in VisualEditor, you get this in console (although the scripting is not interrupted, and VE works fine):

Test URL: https://ru.wikipedia.org/wiki/Life?veaction=edit&uselang=qqx
Chrome, Windows 8.1.

Update: the Deferred exception issue is resolved, only accesskey issue stays.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 10:19 PM
Deskana changed the task status from Open to Stalled.Apr 27 2018, 9:37 AM
Deskana added a subscriber: Deskana.

I see invalid access keys, but not the deferred exception. Please provide your browser and operating system information, as well as the specific URL you were using to produce the issue.

After a quick search, I'd blame https://ru.wikipedia.org/wiki/MediaWiki:Gadget-iwcore.js on this, wgLangNames[ conf.wgUserLanguage ] breaks when wgLangNames is undefined. That variable is defined at the bottom of the script, but only when the user's language is ru. So when this gadget is enabled, I expect things to break for any language other then Russian, and nothing specific to the pseudo langauge qqx.

@Deskana I'm sorry, I've updated the task description.

@Schnark, wow, thank you! Haven't even thought of that. So, only accesskey issue stays.

Vvjjkkii renamed this task from "?uselang=qqx" throws exceptions with VisualEditor to g4daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from g4daaaaaaa to "?uselang=qqx" throws exceptions with VisualEditor.Jul 1 2018, 8:12 AM
Mainframe98 changed the task status from Open to Stalled.
Mainframe98 raised the priority of this task from High to Needs Triage.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.
matmarex closed this task as Declined.Dec 19 2018, 7:48 PM
matmarex claimed this task.
matmarex added a subscriber: matmarex.

I think the warnings like "Invalid accesskey data? Failed to register alt+shift+(accesskey-save)" are expected. For better or worse, accesskeys in MediaWiki can be overridden using localisation messages. So we try to get the accesskey from the 'accesskey-save' message, and instead of something like "s", we get the qqx placeholder like "(accesskey-save)". This is already handled and generates this warning instead of an exception (T153472).